Bug 643676 - Thunar can't create archive from directory
Summary: Thunar can't create archive from directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-17 07:43 UTC by kovaax
Modified: 2012-08-16 21:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:49:33 UTC


Attachments (Terms of Use)
screenshot (472.22 KB, image/png)
2010-11-06 07:21 UTC, kovaax
no flags Details

Description kovaax 2010-10-17 07:43:13 UTC
Description of problem:
I can't make an archive from a directory (right click -> create
archive (or a kind, my locales set to hungarian)). I get an empty
error message window, with title "Xarchiver 0.5.2", and a sort of
text: "Error occured at accessing the archive". Screenshot attached.
It creates an empty archive (0 length).

Version-Release number of selected component (if applicable):
Thunar 1.0.2

How reproducible:
Every time.

Steps to Reproduce:
1. Open Thunar
2. Right click on a directory
3. Choose create archive (or something similar)
4. Enter name, choose gz. (Under Xubuntu I can choose here .tar.gz, which I prefer)
  
Actual results:
Empty archive with 0 length

Expected results:
Valid archive with length > 0

Additional info:

Comment 1 Kevin Fenzi 2010-10-26 17:36:42 UTC
Can you try: 

* Close all Thunar Windows
* Open up a terminal. 
* run "Thunar" from the terminal. 
* perform the steps to reproduce
* See if any output was produced on the terminal. If so, attach it here. 

Also, can you do: 

rpm -q Thunar xarchiver 

and add that info here?

I assume you are not out of disk space or anything like that. 'df' should tell you.

Comment 2 kovaax 2010-11-02 19:40:00 UTC
> * See if any output was produced on the terminal. If so, attach it here. 

No output.

> rpm -q Thunar xarchiver 
> 
> and add that info here?

Thunar-1.0.2-3.fc13.i686
xarchiver-0.5.2-5.fc12.i686

> I assume you are not out of disk space or anything like that. 'df' should tell
> you.

Fájlrendszer          1K-blokk   Foglalt    Szabad Fo.% Csatl. pont
/dev/sda8              9610592   2547284   6965684  27% /
tmpfs                   513248        12    513236   1% /dev/shm
/dev/sda9             32681848   1373784  29647904   5% /home

Lot of free disk space.

Comment 3 kovaax 2010-11-06 07:21:59 UTC
Created attachment 458275 [details]
screenshot

Comment 4 kovaax 2010-11-06 07:23:17 UTC
The problem still exists in FC14 (see attachment), the software packages are the same:

Thunar-1.0.2-3.fc14.i686
xarchiver-0.5.2-5.fc12.i686

Comment 5 kovaax 2010-11-06 08:17:59 UTC
As you can see in the Xarchiver docu, it can handle .tar.bz2 (Figure 3.1. New dialog), so it's just a misconfiguration (or a kind):
file:///usr/share/doc/xarchiver/html/ch03s04.html

But I installed file-roller (Ubuntu uses it instead of xarchiver), and it works fine.

Comment 6 Min 2010-12-11 19:57:07 UTC
Actually i think this is a Xarchiver bug that cannot zip a folder that contains space in its name.

Can you do those two
1. Zip the folder that has space in it name using another compression method.
2. Change the name of the folder so it doesn't contains space.

Comment 7 Fedora End Of Life 2012-08-16 21:49:36 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.